Retrieve Enrollment
Retrieves an enrollment request by its ID. This operation returns the complete enrollment details including provider and payer information.
/enrollments/{enrollmentId}This endpoint retrieves details for the specified transaction enrollment.
A Stedi API Key for authentication.
Path Parameters
The Stedi-assigned identifier for the enrollment you want to retrieve.
Response
GetEnrollment 200 response
The date and time when the enrollment was created within Stedi.
Documents associated with this enrollment, such as signed enrollment forms. This list doesn't include deleted documents.
Each document object contains metadata such as the document's name, status, and timestamps for creation and last update.
The history of updates to this enrollment, such as status changes. This property is experimental and may change in the future.
The Stedi-assigned identifier for the enrollment request.
The timestamp of the most recent 835 ERA (Electronic Remittance Advice) Stedi received for this enrollment, based on the enrollment's payer ID, provider NPI, and provider tax ID. Stedi automatically updates this property for each new ERA.
- This property is only returned for ERA enrollments in
LIVEstatus with at least one matching ERA from the payer. - If this timestamp doesn't match your expected timeline for ERA processing, there may be an upstream issue. Contact Stedi support for assistance.
Information about the payer the provider is enrolling with.
The contact information for the provider. This is where the payer will send communications about the enrollment, if needed.
Information about the provider enrolling with the payer.
^[a-zA-Z0-9]+$Length: 5 - 10This property is required for payers that require a Provider Transaction Access Number (PTAN).
The PTAN is a Medicare-issued number given to providers upon enrollment with Medicare. This number is usually six digits and is assigned based on the type of service and the location of the provider. Upon enrollment, Medicare Administrating Contracting (MAC) providers should receive their assigned PTAN number in their approval letter.
Reasons why the enrollment request is still in PROVISIONING status, may take additional time to process, or was rejected by the payer. Only Stedi can set or update this property.
^\d{8}$Length: 8The requested effective date for the enrollment in YYYYMMDD format. This is the date the enrollment is requested to take effect with the payer. If not provided during submission, Stedi uses the submission date.
Stedi can't guarantee that the enrollment will be effective with the payer on this exact date. Not all payers support future dates. If the payer supports a requested effective date, Stedi will process enrollments accordingly.
The source of this enrollment.
APIUIIMPORTAUTO_ENROLLMENTThe status of the enrollment. You can submit enrollments with either DRAFT or STEDI_ACTION_REQUIRED status. The default status is DRAFT if not specified. When you're ready for Stedi to begin processing the enrollment, set the status to STEDI_ACTION_REQUIRED. Once an enrollment is STEDI_ACTION_REQUIRED, only Stedi can set or update its status.
DRAFT- You're still editing the enrollment and haven't submitted it to Stedi.STEDI_ACTION_REQUIRED- You have submitted the enrollment and it is ready for Stedi to begin processing.PROVIDER_ACTION_REQUIRED- The enrollment requires action from the healthcare provider to proceed, such as providing additional documentation. Stedi will add a note to your enrollment request with clear instructions.SUBMITTED- (Deprecated) Legacy status being phased out in favor of the more specific action-required statuses. If you set an enrollment request toSUBMITTED, Stedi treats it asSTEDI_ACTION_REQUIRED.PROVISIONING- Stedi has begun the process of completing the enrollment with the payer.LIVE- The enrollment process is complete, and the specified provider can begin exchanging the listed transaction types with the payer.REJECTED- The payer rejected the enrollment. Common reasons for rejection include incorrect details in the request and that the provider is not credentialed with the payer. Customer support will contact you with reasons for rejection and next steps.CANCELED- The enrollment has been terminated per customer or provider request.
DRAFTSUBMITTEDPROVISIONINGLIVEREJECTEDThe date and time when the enrollment status was last updated. This timestamp is used to track enrollment processing durations and enables filtering to identify recently changed enrollments. It automatically updates whenever an enrollment's status changes but remains unchanged during other updates.
The date and time when the enrollment was submitted. If the enrollment is in DRAFT status, submittedAt is not present. When the enrollment transitions from draft to STEDI_ACTION_REQUIRED, submittedAt is updated to the submission time. If the enrollment was created and submitted immediately, the submittedAt time will be equal or close to the createdAt time.
Tasks associated with this enrollment representing work that needs to be completed. Each task has a responsible party and specific definition.
The type of transactions included in the enrollment.
Whether 270 eligibility checks are included in the enrollment.
The date and time when the enrollment was updated.
^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$Min length: 5The email address where Stedi should send updates about the enrollment. We'll use it to notify you when there are next steps and send updates on the enrollment's status.
This email address can be different from the primaryContact.email where the payer sends communications about the enrollment.
curl --request GET \ --url "https://enrollments.us.stedi.com/2024-09-01/enrollments/{enrollmentId}" \ --header "Authorization: <api_key>"{
"createdAt": "2023-11-07T05:31:56Z",
"documents": [
{
"createdAt": "2026-11-08T12:00:00Z",
"enrollmentId": "db6675c5-7bg7-4af9-8c68-a54a336d2911",
"id": "dc6665a5-7b97-4agh-8c74-a00a336c2989",
"name": "pdf-agreement.pdf",
"status": "UPLOADED",
"updatedAt": "2026-11-08T12:05:00Z"
}
],
"history": [
{
"changedAt": "2026-11-07T05:31:56Z",
"changedBy": "user@example.com",
"newStatus": "DRAFT",
"type": "STATUS_CHANGE"
},
{
"changedAt": "2026-11-07T05:31:56Z",
"changedBy": "user@example.com",
"newStatus": "STEDI_ACTION_REQUIRED",
"previousStatus": "DRAFT",
"type": "STATUS_CHANGE"
},
{
"changedAt": "2026-11-07T06:15:22Z",
"changedBy": "system",
"newStatus": "PROVIDER_ACTION_REQUIRED",
"previousStatus": "STEDI_ACTION_REQUIRED",
"type": "STATUS_CHANGE"
},
{
"changedAt": "2026-11-08T06:15:22Z",
"changedBy": "system",
"newStatus": "STEDI_ACTION_REQUIRED",
"previousStatus": "PROVIDER_ACTION_REQUIRED",
"type": "STATUS_CHANGE"
},
{
"changedAt": "2026-11-10T06:15:22Z",
"changedBy": "system",
"newStatus": "PROVIDER_ACTION_REQUIRED",
"previousStatus": "STEDI_ACTION_REQUIRED",
"type": "STATUS_CHANGE"
}
],
"id": "db6675c5-7bg7-4af9-8c68-a54a336d2911",
"payer": {
"name": "UnitedHealthcare",
"stediPayerId": "KMQTZ",
"submittedPayerIdOrAlias": "87726"
},
"primaryContact": {
"city": "A City",
"email": "test@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "5551234567",
"state": "MD",
"streetAddress1": "123 Some Str.",
"zipCode": "20814"
},
"provider": {
"id": "db6665c5-7b97-4af9-8c68-a00a336c2998",
"name": "Test Medical Provider",
"npi": "1234567890",
"taxId": "123456789",
"taxIdType": "EIN"
},
"requestedEffectiveDate": "20231107",
"source": "API",
"status": "PROVIDER_ACTION_REQUIRED",
"statusLastUpdatedAt": "2023-11-07T06:15:22Z",
"submittedAt": "2023-11-07T05:31:56Z",
"tasks": [
{
"definition": {
"followInstructions": {
"instructions": "Log in to your Authority's portal and request clearinghouse access for Stedi."
}
},
"id": "ac6665a5-7b97-4agh-8c74-a00a336c2989",
"isComplete": false,
"rank": 1,
"responsibleParty": "PROVIDER"
},
{
"completedAt": "2026-06-01T12:00:00Z",
"definition": {
"provideFilledPdf": {
"instructions": "Please download the PDF, fill it out, and upload the completed version to this enrollment request."
}
},
"id": "019ce833-b234-75f1-9599-0f14ba643709",
"isComplete": true,
"rank": 0,
"responseData": {
"pdfUpload": {
"documentId": "dc6665a5-7b97-4agh-8c74-a00a336c2989",
"fileName": "pdf-agreement.pdf"
}
},
"responsibleParty": "PROVIDER"
}
],
"transactions": {
"professionalClaimSubmission": {
"enroll": true
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"userEmail": "test@example.com"
}